Page MenuHomePhabricator

Add documentation to CREDIT videos
Closed, ResolvedPublic

Description

Similar to T1119: Add documentation links to TechTalk Youtube Videos

Add description to CREDIT Showcase videos in commons and youtube.

Video in youtubeDescription in CommonsDescription in YoutubeProjectsAssigned to
MarchDoneGabriel Lee
AprilDone@Awu42
MayDoneAnimesh
JuneDoneDone@subins2000
JulyDoneDoneSnehal Ajakkala
August
September
OctoberDone@fsgmhoward
NovemberDoneDone@Thatwhichendureth

CREDIT is a monthly meeting hosted by the Wikimedia Foundation to demo things like new wiki gadgets, 10% time projects, and works in progress. One meeting consists of several different presentations which are from individuals or teams from Community, Reading, Editing, Discovery, Infrastructure and Technology.
The meetings are live streamed on youtube.
Your task is to go through the one of the previous CREDIT meeting videos and note down:

  • time for start and end of each presentation
  • Name of speaker
  • The project being discussed

Download the video and cut each of the presentations into their own video.
These videos are to be uploaded on Wikimedia Commons. In each presentation video's description in commons, add the speaker’s name and the name of project being discussed.

Please add your name in "Assigned to" in the above table, so that more than one student don't end up doing the same task.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2016, 5:06 PM
husn_shujaat triaged this task as Medium priority.
Qgil added a subscriber: dr0ptp4kt.
Qgil added a comment.Aug 12 2016, 9:52 AM

CREDIT sessions usually have several presentations included. In an ideal world, each presentation would be cut in their own video. I think YouTube makes this kind of basic editing easy? From there the single topic videos could be uploaded to Commons and be featured in their related wiki pages.

This is a significant amount the work to commit to and I am not asking @husn_shujaat to commit to it. Publishing the CREDIT videos as single files can be a first step, and then we could always ask other volunteers to help with the rest of the work (i.e. as Google Code-in tasks).

Qgil updated the task description. (Show Details)Aug 12 2016, 10:13 AM
Qgil added a comment.Oct 4 2016, 10:35 AM

@husn_shujaat do you want to keep working on this task during this quarter?

husn_shujaat updated the task description. (Show Details)Nov 21 2016, 2:41 PM
husn_shujaat updated the task description. (Show Details)
Qgil awarded a token.

CREDIT sessions usually have several presentations included. In an ideal world, each presentation would be cut in their own video. I think YouTube makes this kind of basic editing easy? From there the single topic videos could be uploaded to Commons and be featured in their related wiki pages.

Yup, I'll put this for GCI.
I will mentor this one.

husn_shujaat added a comment.EditedNov 27 2016, 11:48 PM

The only tiny bit problem with this is that only 3 of the Credit videos are at commons and I don't students can fetch the video from youtube and edit it when they don't have access to the youtube channel. :/

If we can get someone to upload it to commons, that'd be great.

Qgil added a comment.Nov 28 2016, 9:23 PM

I don't think downloading videos from YouTube should be a technical problem? http://www.wikihow.com/Download-YouTube-Videos

I have no idea how good that is from a legal point of view, but considering that we Wikimedia are the ones authoring the videos and proposing the tasks, I think it is fair.

I thought there was no legal way to download youtube videos.
But:

considering that we Wikimedia are the ones authoring the videos and proposing the tasks, I think it is fair.

Solves the problem.

GCI will probably end by the time I'm finished uploading videos at commons (because slow internet *sigh*).
We can do the 3 videos already in commons for this at least year's GCI.

Qgil added a comment.Nov 29 2016, 10:35 AM

Uploading to Commons etc can be done by GCi students, right? @husn_shujaat , if you mentor, you "only" need to write the instructions for the students.

Right right! I'll create a task for this in GCI. All I need to know now is how to get it published. :)

Just import it to the GCI website and the admins will publish the task. ;)

husn_shujaat removed husn_shujaat as the assignee of this task.Nov 29 2016, 8:01 PM
husn_shujaat updated the task description. (Show Details)

Yay! Good idea to go for GCI here!

Three small things regarding the GCI task before publishing that:

The task is called "Add documentation to CREDIT videos" but the task seems to be not only about documenting but also about cutting a video into smaller parts, if I get it right?

Download the video and cut each of the presentations into their own video.

How would I download it, and how would I cut it, or where to find info how to do these two things? Any pages or recommendations? Or do you expect me as a GCI student to know how to do video editing? If yes you should tell me at the beginning of the task what the knowledge requirements are, to avoid disappointment and misunderstandings on both the mentor's and student's side. :)

The GCI task says to go to https://www.mediawiki.org/wiki/CREDIT_showcase#Past_showcases but how would I find out which videos are already cut and uploaded to Commons, to avoid duplicated work? Are students expected to mention somewhere for which showcase video they went, and other students can check? Or do you plan to set up completely separate tasks on the GCI site for each Showcase video instead of using an "instance count" higher than 1 for one generic GCI task? :-/

Oh... I think at least my last question is covered here in this Phab task description but not in the GCI task description? :)

husn_shujaat added a comment.EditedNov 29 2016, 9:27 PM

Ahh, good questions! :)
I think we can call the task "Cut CREDIT videos into each of its presentations and upload the presentation, with description, to Commons"

This link could be put to help them with downloading the video.

For cutting, we could say "You can use any video editing software to help you to cut the video"

None of the videos are cropped and uploaded. (Two of the video says done because their start-end timings, name of speaker and name of project is listed in youtube's description)

For students to mention which video they went for, I'll make it look like this (at GCI's site):
To avoid more than one student working on the same video, please mention your name in the "Assigned to" column in the task description at Phabricator to the corresponding video.
(You can edit task description by clicking "edit task" in the upper right corner of the webpage)

bcampbell added a subscriber: bcampbell.EditedDec 5 2016, 7:00 PM

I am one of the managers the YouTube channel, so I can commit to uploading the full CREDIT recordings to Commons each month.

Hey all,

March 2016 through November 2016 CREDIT recordings are now on Commons and linked on the CREDIT showcase MediaWiki page.

That is wonderful! Thank you so much @bcampbell :)

srishakatux added a subscriber: srishakatux.EditedDec 8 2016, 12:03 AM

@husn_shujaat hey! :) Somewhere in my todos, I was supposed to convert this and T1119 as a GCI task. But, taking a look at this task's history, it seems like you have already put a lot of thought in it. Wondering if you are considering to add both of these tasks to GCI site? I would also be happy to create these tasks on GCI but wanted to check-in with you first, also happy to mentor along with you :) I have access to our youtube channel too, in case we need it.

Hey @srishakatux! :) I created a GCI task for this couple of days ago but its not published or ready yet., Sorry, I forgot to link it here :/
https://codein.withgoogle.com/dashboard/tasks/5618390865543168/
One question: do we assign one student to do one video or two videos like in T1119 ?

It'll be great to have you as a co-mentor :)

Imported as https://codein.withgoogle.com/tasks/5618390865543168/ , I'm going to leave it to @srishakatux to publish it (and decide how many videos). :)

@husn_shujaat thank you :) I've published your task and like it the way it is right now w/ one video cc @Aklapper

Thats great. Thanks @srishakatux :)

GabrielLeeDHS updated the task description. (Show Details)
husn_shujaat updated the task description. (Show Details)Dec 13 2016, 8:33 PM
Aklapper updated the task description. (Show Details)Dec 21 2016, 11:20 AM
Arpna claimed this task.Dec 25 2016, 5:48 AM
Arpna updated the task description. (Show Details)
Aklapper removed Arpna as the assignee of this task.Dec 25 2016, 7:24 PM
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Arpna.
subins2000 updated the task description. (Show Details)Jan 3 2017, 3:19 PM
subins2000 added a subscriber: subins2000.
subins2000 updated the task description. (Show Details)Jan 3 2017, 7:01 PM
Thatwhichendureth updated the task description. (Show Details)
Thatwhichendureth updated the task description. (Show Details)
husn_shujaat updated the task description. (Show Details)Jan 7 2017, 5:47 PM
Awu42 updated the task description. (Show Details)Jan 8 2017, 7:33 PM
Awu42 added a subscriber: Awu42.
Awu42 updated the task description. (Show Details)Jan 9 2017, 12:27 AM
fsgmhoward updated the task description. (Show Details)Jan 9 2017, 7:37 AM
fsgmhoward added a subscriber: fsgmhoward.
fsgmhoward updated the task description. (Show Details)Jan 11 2017, 2:08 AM
Snehala26 updated the task description. (Show Details)Jan 11 2017, 3:14 AM
Snehala26 updated the task description. (Show Details)
Snehala26 updated the task description. (Show Details)Jan 11 2017, 10:42 PM
Snehala26 added a subscriber: Snehala26.

Hi, these are the timestamps for the July 2016 CREDIT Video:

00:45 - Niharika: CopyPatrol, a copy and paste detection bot
https://tools.wmflabs.org/copypatrol

5:25 - Stas: Explaination of the progress on getting outlines of places from OSM database
http://data.wmflabs.org/wiki/Regional_maps

9:22 - Adam: updates us on the Reading Web tebam's progress on lazy loading images

Qgil closed this task as Resolved.Sep 12 2017, 8:59 AM
Qgil claimed this task.

@husn_shujaat's work in this task has been priceless. Thanks to this, those CREDIT videos will be easier to find by the watchers interested in the topics demoed.

We have stopped organizing CREDIT showcases and I think this task has run its course. If we ever start a similar initiative, proper descriptions should be a requirement from the start.

Thank you very much @husn_shujaat! I am closing this task as (roughly) Resolved.